> For the complete documentation index, see [llms.txt](https://docs.snapodds.com/clipshare-sdk-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snapodds.com/clipshare-sdk-docs/mobile-sdk/ios/customization.md).

# Customization

## Customizing Colors

To customize colors in `ClipShareViewController`, use the ClipShareUIColorConfiguration object on the ClipShare instance.

```swift
ClipShare.instance?.colorConfiguration.primaryContentBackground = UIColor.white
```

## Customizing Fonts

To customize fonts in `ClipShareViewController`, use the `ClipShareUIFontConfiguration` object on the ClipShare instance.

```swift
ClipShare.instance?.fontConfiguration.baseRegular = UIFont.systemFont(ofSize: 14, weight: .regular)
```

## Customizing Snap UI

To customize displayed messages in the `ClipShareViewController` use the `ClipShareUIConfiguration` object on the ClipShare instance.

```swift
ClipShare.instance?.uiConfiguration.saveClipButtonText = "Create my clip"
```

All desired customizations must be done prior to presenting the  `ClipShareViewController`. While it is also possible to modify the configuration between presentations of the `ClipShareViewController`, modifications initiated while the `ClipShareViewController` is present are not guaranteed to be respected.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snapodds.com/clipshare-sdk-docs/mobile-sdk/ios/customization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
